<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">

<head>
    <!-- HEAD VUEJS + FUNCIONALIDAD-->
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <meta content="text/html; charset=UTF-8" http-equiv="content-type">
        <meta charset="UTF-8">
        <link th:href="@{/styles/template-main.css}" rel="stylesheet" />
    <!-- HEAD TEMPLATE-->
        <title>ZappApp</title>
    <!-- Fuentes-->
        <link th:href="@{/styles/fontawesome-free/css/all.min.css}" rel="stylesheet" type="text/css">
        <link href="https://fonts.googleapis.com/css?family=Nunito:200,200i,300,300i,400,400i,600,600i,700,700i,800,800i,900,900i" rel="stylesheet">
        <script src="https://kit.fontawesome.com/f0db3f6f2e.js" crossorigin="anonymous"></script>
</head>


<body id="page-top">
    <div id="app">

        <!-- Page Wrapper -->
        <div id="wrapper">

            <!-- Sidebar -->
            <menu-navegacion >
            </menu-navegacion>
            <!-- End of Sidebar -->

            <!-- Content Wrapper -->
            <div id="content-wrapper" class="d-flex flex-column">

                <!-- Main Content -->
                <div id="content">

                    <!-- Topbar -->
                    <nav class="navbar navbar-expand navbar-light bg-white topbar mb-4 static-top shadow">

                        <!-- Sidebar Toggle (Topbar) -->
                        <button id="sidebarToggleTop" class="btn btn-link d-md-none rounded-circle mr-3">
                            <i class="fa fa-bars"></i>
                        </button>

                        <!-- Topbar Navbar -->
                        <ul class="navbar-nav ml-auto">

                            <!-- Nav Item - Search Dropdown (Visible Only XS) -->
                            <li class="nav-item dropdown no-arrow d-sm-none">
                                <a class="nav-link dropdown-toggle" href="#" id="searchDropdown" role="button"
                                    data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                    <i class="fas fa-search fa-fw"></i>
                                </a>
                                <!-- Dropdown - Messages -->
                                <div class="dropdown-menu dropdown-menu-right p-3 shadow animated--grow-in"
                                    aria-labelledby="searchDropdown">
                                    <form class="form-inline mr-auto w-100 navbar-search">
                                        <div class="input-group">
                                            <input type="text" class="form-control bg-light border-0 small"
                                                placeholder="Search for..." aria-label="Search"
                                                aria-describedby="basic-addon2">
                                            <div class="input-group-append">
                                                <button class="btn btn-primary" type="button">
                                                    <i class="fas fa-search fa-sm"></i>
                                                </button>
                                            </div>
                                        </div>
                                    </form>
                                </div>
                            </li>

                            <div class="topbar-divider d-none d-sm-block"></div>

                            <!-- Nav Item - User Information -->
                            <li class="nav-item dropdown no-arrow">
                                <a class="nav-link dropdown-toggle" href="#" id="userDropdown" role="button"
                                    data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                    <span class="mr-2 d-none d-lg-inline text-gray-600 small" th:text="${#authentication.getPrincipal().getUsername()}"></span>
                                    <img class="img-profile rounded-circle" th:src="@{/img/undraw_profile.svg}">
                                </a>
                                <!-- Dropdown - User Information -->
                                <div class="dropdown-menu dropdown-menu-right shadow animated--grow-in"
                                    aria-labelledby="userDropdown">
                                    <a class="dropdown-item" href="#" data-toggle="modal" data-target="#logoutModal">
                                        <i class="fas fa-sign-out-alt fa-sm fa-fw mr-2 text-gray-400"></i>
                                        Cerrar cesión
                                    </a>
                                </div>
                            </li>

                        </ul>

                    </nav>
                    <!-- End of Topbar -->

                    <!-- Begin Page Content -->
                    <div class="container-fluid">

                        <!-- DataTales Example -->
                        <div class="card shadow mb-4">
                            <div class="card-header d-flex py-3">
                                <h2 class="m-0 font-weight-bold text-primary">Gestionar sucursales</h2>

                                <form class="d-none d-sm-inline-block form-inline mr-auto ml-md-3 my-2 my-md-0 mw-100 navbar-search">
                                    <div class="input-group">
                                        <input type="text" class="form-control border-1 small" placeholder="Buscar..." aria-label="Search" aria-describedby="basic-addon2" id="myInput">
                                        <div class="input-group-append">
                                            <a class="btn btn-primary" type="button">
                                                <i class="fas fa-search fa-sm"></i>
                                            </a>
                                        </div>
                                    </div>
                                </form>

                                <a v-bind="ventana" @click.prevent="ventana=true" class="btn btn-primary ml-auto" href="#" data-toggle="modal" data-target="#newStoreModal">
                                    <span class="icon text-white-50">
                                        <i class="fas fa-box-open"></i>
                                    </span>
                                    <span class="text">Nueva sucursal</span>
                                </a>
                            </div>
                            <div class="card-body">
                                <div class="table-responsive">
                                    <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                                        <thead>
                                            <tr>
                                                <th @click='ordenarEstado()'>Estado</th>
                                                <th @click='ordenarEmail()'>Email</th>
                                                <th @click='ordenarTelefono()'>Teléfono</th>
                                                <th @click='ordenarNombre()'>Nombre</th>
                                                <th >Acción</th>
                                            </tr>
                                        </thead>
                                        <tbody id="myTable">
                                            <template v-for="sucursal in sucursales">
                                                <tr>
                                                    <th >{{ sucursal.state }}</th>
                                                    <th >{{ sucursal.email }}</th>
                                                    <td scope="col">{{ sucursal.telephone }}</td>
                                                    <td scope="col">{{ sucursal.name }}</td>
                                                    <td>
                                                        <a class="btn" href="#" data-toggle="modal">
                                                            <i class="far fa-edit"></i>
                                                        </a>
                                                        <a @click="inactivarSucursal(sucursal.id)" class="btn" href="#" data-toggle="modal">
                                                            <i class="far fa-trash-alt"></i>
                                                        </a>
                                                    </td>
                                                </tr>
                                            </template>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>

                    <!-- /.container-fluid -->

                </div>
                <!-- End of Main Content -->

                <!-- Footer -->
                <footer class="sticky-footer bg-white">
                    <div class="container my-auto">
                        <div class="copyright text-center my-auto">
                            <span>Copyright &copy; G6 Solutions 2021</span>
                        </div>
                    </div>
                </footer>
                <!-- End of Footer -->

            </div>
            <!-- End of Content Wrapper -->

        </div>
        <!-- End of Page Wrapper -->

        <!-- Scroll to Top Button-->
        <a class="scroll-to-top rounded" href="#page-top">
            <i class="fas fa-angle-up"></i>
        </a>

        <!-- New Product Modal-->
        <div v-if="ventana" class="modal fade" id="newStoreModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title"></h5>
                        <button class="close" type="button" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">×</span>
                        </button>
                    </div>
                    <div class="modal-body">
                      <div class="p-2">
                          <form class="user">
                              <div class="form-group row">
                                  <div class="col-sm-6 mb-3 mb-sm-0">
                                      <label class="form-label"><font style="vertical-align: inherit;">Nombre</font></label>
                                      <input class="form-control nombreSucursalInput rellenable" placeholder="Nombre" type="text" v-model="sucursal.name">
                                      <div class="invalid-feedback" id="nombreSucursalDiv" >
                                      </div>
                                  </div>

                                  <div class="col-sm-6">
                                      <label class="form-label"><font style="vertical-align: inherit;">Punto de venta</font></label>
                                      <input class="form-control puntoVentaInput rellenable" placeholder="Punto de venta" type="text" v-model ="sucursal.sale_point">
                                      <div class="invalid-feedback" id="puntoVentaDiv">
                                      </div>
                                  </div>
                              </div>
                              <div class="form-group row">
                                  <div class="col-sm-6 mb-3 mb-sm-0">
                                      <label class="form-label"><font style="vertical-align: inherit;">E-mail</font></label>
                                      <input class="form-control emailSucursalInput rellenable" placeholder='Mail' type="email"  v-model ="sucursal.email">
                                      <div class="invalid-feedback" id="emailSucursalDiv">
                                      </div>
                                  </div>
                                  <div class="col-sm-6">
                                      <label class="form-label"><font style="vertical-align: inherit;">Telefono</font></label>
                                      <input class="form-control telefonoSucursalInput rellenable" placeholder="Telefono" type="text" v-model ="sucursal.telephone">
                                      <div class="invalid-feedback" id="telefonoSucursalDiv">
                                      </div>
                                  </div>
                              </div>
                              </div>
                              <hr class="sidebar-divider">
                              <div class="form-group row">
                                <div class="form-group col-sm-6 mb-3 mb-sm-0">
                                    <label class="form-label"><font style="vertical-align: inherit;">Provincia</font></label>
                                    <select class="form-control" v-model='provinciaSeleccionada' @click="actualizarLocalidaddes()">
                                        <option  v-for="provincia in provincias" v-bind="{value:provincia.id}"> {{provincia.name }}</option>
                                    </select>
                                </div>
                                <div class="form-group col-sm-6 mb-3 mb-sm-0">
                                    <label class="form-label"><font style="vertical-align: inherit;">Localidad</font></label>
                                    <select class="form-control" v-model = 'sucursal.locality_id'>
                                        <option  v-for="localidad in localidades" v-bind="{value:localidad.id}"> {{localidad.name }}</option>
                                    </select>
                                </div>
                              </div>
                              <div class="form-group row">
                                <div class="col-sm-6 mb-3 mb-sm-0">
                                    <label class="form-label"><font style="vertical-align: inherit;">Calle</font></label>
                                    <input class="form-control calleSucursalInput rellenable" placeholder="Calle" type="text" v-model="sucursal.street">
                                    <div class="invalid-feedback" id="calleSucursalDiv">
                                    </div>
                                </div>
                                  <div class="col-sm-6 mb-3 mb-sm-0">
                                      <label class="form-label"><font style="vertical-align: inherit;">Número</font></label>
                                      <input class="form-control nroCalleSucursalInput rellenable" placeholder="Nro Calle" type="text" v-model="sucursal.street_number">
                                      <div class="invalid-feedback" id="nroCalleSucursalDiv">
                                      </div>
                                  </div>
                              </div>
                          </form>
                      </div>

                    <div class="modal-footer">
                        <button class="btn btn-secondary" type="button" data-dismiss="modal">Cancelar</button>
                        <button class="btn btn-primary" @click="crearSucursal()" type="submit">Guardar</button>
                    </div>
                </div>
            </div>
        </div>

        <!-- Logout Modal-->
        <div class="modal fade" id="logoutModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel">Quiere cerrar sesión?</h5>
                        <button class="close" type="button" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">×</span>
                        </button>
                    </div>
                    <div class="modal-body">Seleccione "Cerrar sesión" si está listo para salir de la plataforma.</div>
                    <div class="modal-footer">
                        <button class="btn btn-secondary" type="button" data-dismiss="modal">Cancelar</button>
                        <form th:action="@{/logout}" method="post">
                            <input type="submit" value="Cerrar Sesion"/>
                        </form>
                    </div>
                </div>
            </div>
        </div>

    </div>
</body>

        <!-- Bootstrap core JavaScript-->
        <script type="text/javascript" th:src="@{/js/jquery/jquery.min.js}"></script>

        <script type="text/javascript" th:src="@{/js/bootstrap/js/bootstrap.bundle.min.js}"></script>
        <!-- Core plugin JavaScript-->
        <script type="text/javascript" th:src="@{/js/jquery-easing/jquery.easing.min.js}"></script>
        <!-- Custom scripts for all pages-->
        <script type="text/javascript" th:src="@{/js/template-main.js}"></script>
        <!-- Page level plugins -->
<!--        <script type="text/javascript" th:src="@{/js/datatables/jquery.dataTables.min.js}"></script>-->
        <script type="text/javascript" th:src="@{/js/datatables/dataTables.bootstrap4.min.js}"></script>
        <!-- Page level custom scripts -->
        <script type="text/javascript" th:src="@{/js/demo/datatables-demo.js}"></script>

        <script src="https://cdnjs.cloudflare.com/ajax/libs/vue/2.6.12/vue.min.js"></script>

        <!-- SCRIPT VUE JS-->
        <script type="text/javascript" th:src="@{/js/cssandjs/itemsNavegacion.js}"></script>
        <script type="text/javascript" th:src="@{/js/cssandjs/menu-navegacion.js}"></script>

        <script type="text/javascript" th:src="@{/js/cssandjs/sucursales.js}"></script>
        <script type="text/javascript" th:src="@{/js/cssandjs/busqueda.js}"></script>

        <!-- Custom scripts for all pages-->
        <script type="text/javascript" th:src="@{/js/cssandjs/sbadmin2.min.js}"></script>

</html>
